当前位置:首页-游戏资讯游戏资讯-正文

热门游戏《我的世界》受Log4j漏洞影响 请Java版用户立即升级最新版

热门沙盒游戏《我的世界》开发商Mojang发布最新博客提醒Java版用户立即升级,因为该游戏也受到Log4j高危安全漏洞影响,攻击者利用漏洞可以在游戏聊天框中远程执行代码。

该漏洞被公布后Mojang迅速采取行动并对《我的世界》中心化服务器进行修复,同时游戏客户端也已经解决漏洞,玩家要做的就是及时升级客户端,具体请参考以下情况。

热门游戏《我的世界》受Log4j漏洞影响 请Java版用户立即升级最新版

若玩家使用官方客户端:

如果您使用的是Minecraft:Java版客户端但没有使用自己托管的服务器,则需要执行以下步骤:关闭游戏和Minecraft Launcher的所有正在运行的实例,再次启动Launcher启动器补丁版本将会自动下载和安装。

若玩家使用修改的客户端或第三方版:

修改后的客户端和第三方客户端可能都无法自动更新,在这种情况下Mojava建议玩家遵循第三方客户端提供商的建议,如果第三方客户端提供商没有及时修复漏洞或者没有声明不受漏洞影响,则玩家继续进行游戏存在潜在的安全风险。

使用自托管服务器:

如果您使用自己托管的Minecraft:Java版服务器,则需要根据安装的版本采取不同的步骤以确保安全。

  • 1.18版:如果可以的话请尽量升级到1.18.1版,如果无法升级请参考1.17.x版解决方案;
  • 1.17版:将以下JVM参数添加到启动命令行 -Dlog4j2.formatMsgNoLookups=true
  • 1.12-1.16.5版:将此文件下载到服务器运行的工作目录,然后将以下JVM参数添加到驱动命令行 -Dlog4j.configurationFile=log4j2_112-116.xml
  • 1.7-1.11.2版:将此文件下载到服务器运行的工作目录,然后将以下JVM参数添加到驱动命令行 -Dlog4j.configurationFile=log4j2_112-116.xml
  • 低于1.7的版本不受影响

By the way:360实验室已经监测到有攻击者利用log4j漏洞向我的世界玩家自托管服务器发起攻击,漏洞修复刻不容缓。

感谢您的阅读,本文为蓝点网原创内容,转载时请标注来源于蓝点网和本文链接

相关文章

换一批